commit:     99313a34eec89ebe4e0c03c87d34d0262afb25b7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 23 05:06:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 23 05:08:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99313a34

dev-python/executing: Bump to 2.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/executing/Manifest               |  1 +
 dev-python/executing/executing-2.2.0.ebuild | 60 +++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-python/executing/Manifest b/dev-python/executing/Manifest
index d437483fb0de..5853f01d7ec4 100644
--- a/dev-python/executing/Manifest
+++ b/dev-python/executing/Manifest
@@ -1 +1,2 @@
 DIST executing-2.1.0.gh.tar.gz 980727 BLAKE2B 
0d7a3f0a7e83a1607fdc5bd618b7484bd2eb27443568ee6542d7caad050ff7f5a2ddf71518d434059bdc5f17bff81badf393b91628754b5d6b8ec5a4dbe8146a
 SHA512 
0918ed3eca37d55a1c19b20a959538c46d65688979e0808270b7060a25d3db44bb593d2f8de202740af9f008f273e1e7565ba5b20b90c678e070b52a12bed4cd
+DIST executing-2.2.0.gh.tar.gz 981774 BLAKE2B 
81fb081f3835b8d389ac90fd91db769d0e7171e99b05a3e7ba0edb2910fed0fcd26ff24c6b84bece138de93166571df09c85d47eeec816806c47b816d7b12b96
 SHA512 
e8f6a399e57519149a15ae84c1d4a01c7cd6fdb81415939ef66f19a4abd9bf2ddbb156a9f59e95328a26504b8f8775a48e8da44af2027dd4763071b1997b8b84

diff --git a/dev-python/executing/executing-2.2.0.ebuild 
b/dev-python/executing/executing-2.2.0.ebuild
new file mode 100644
index 000000000000..f8645c8002ae
--- /dev/null
+++ b/dev-python/executing/executing-2.2.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+       https://github.com/alexmojaki/executing/
+       https://pypi.org/project/executing/
+"
+SRC_URI="
+       https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~arm64-macos ~x64-macos"
+
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/asttokens-2.1.0[${PYTHON_USEDEP}]
+               dev-python/littleutils[${PYTHON_USEDEP}]
+               dev-python/rich[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       local EPYTEST_DESELECT=()
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               
"tests/test_main.py::test_small_samples[22bc344a43584c051d8962116e8fd149d72e7e68bcb54caf201ee6e78986b167.py]"
+                               
"tests/test_main.py::test_small_samples[46597f8f896f11c5d7f432236344cc7e5645c2a39836eb6abdd2437c0422f0f4.py]"
+                       )
+                       ;;
+       esac
+       if ! has_version "dev-python/ipython[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_ipython.py
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}
+
+pkg_postinst() {
+       optfeature "getting node's source code" dev-python/asttokens
+}

Reply via email to